StarObjectSmallTextInternal::Paragraph Struct Reference documentation

StarObjectSmallTextInternal::Paragraph Struct Reference

Internal: a paragraph of StarObjectSmallText. More...

## Public Member Functions
| Paragraph ()
| constructor
bool | send (STOFFListenerPtr &listener, StarState &mainState, StarState &editState, int level=-1) const
| try to send the data to a listener

## Public Attributes
std::vector< uint32_t > | m_text
| the text
std::vector< size_t > | m_textSourcePosition
| the text initial position
librevenge::RVNGString | m_styleName
| the style name
int | m_family
| the family
StarItemSet | m_itemSet
| the main item list
std::vector< shared_ptr< StarItem > > | m_charItemList
| the character item list
std::vector< STOFFVec2i > | m_charLimitList
| the character limit

## Detailed Description

Internal: a paragraph of StarObjectSmallText.

## Constructor & Destructor Documentation

## ◆ Paragraph()

StarObjectSmallTextInternal::Paragraph::Paragraph | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ send()

bool StarObjectSmallTextInternal::Paragraph::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | mainState,
|  | StarState & | editState,
|  | int | level = -1 ) const

try to send the data to a listener

## Member Data Documentation

## ◆ m_charItemList

std::vector<shared_ptr<StarItem> > StarObjectSmallTextInternal::Paragraph::m_charItemList

the character item list

Referenced by Paragraph(), StarObjectSmallText::read(), and send().

## ◆ m_charLimitList

std::vector<STOFFVec2i> StarObjectSmallTextInternal::Paragraph::m_charLimitList

the character limit

Referenced by Paragraph(), StarObjectSmallText::read(), and send().

## ◆ m_family

int StarObjectSmallTextInternal::Paragraph::m_family

the family

Referenced by Paragraph(), and StarObjectSmallText::read().

## ◆ m_itemSet

StarItemSet StarObjectSmallTextInternal::Paragraph::m_itemSet

the main item list

Referenced by Paragraph(), StarObjectSmallText::read(), and send().

## ◆ m_styleName

librevenge::RVNGString StarObjectSmallTextInternal::Paragraph::m_styleName

the style name

Referenced by Paragraph(), StarObjectSmallText::read(), and send().

## ◆ m_text

std::vector<uint32_t> StarObjectSmallTextInternal::Paragraph::m_text

the text

Referenced by Paragraph(), StarObjectSmallText::read(), and send().

## ◆ m_textSourcePosition

std::vector<size_t> StarObjectSmallTextInternal::Paragraph::m_textSourcePosition

the text initial position

Referenced by Paragraph(), StarObjectSmallText::read(), and send().

The documentation for this struct was generated from the following file:

- StarObjectSmallText.cxx